Home//Data Attributes
Data Attributes
Introduction
Changelog (2.16)
Intercom API
Admins
AI Content
Articles
Audiences
Away Status Reasons
Banners
Brands
Calls
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Connectors
Data Events
Data Export
Emails
Fin Agent
Help Center
Internal Articles
IP Allowlist
Jobs
Macros
Messages
News
Notes
Office Hours
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
WhatsApp
Workflows
Models
You can fetch a list of all data attributes belonging to a workspace for contacts or companies.
Conversation attributes are no longer returned by this endpoint. Calling without a model parameter no longer includes them, and model=conversation returns a 422 error. Use GET /conversations/attributes instead.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/data_attributes
- The european API serverhttps://api.eu.intercom.io/data_attributes
- The australian API serverhttps://api.au.intercom.io/data_attributes
curl -i -X GET \
'https://api.intercom.io/data_attributes?model=company&include_archived=false' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Successful response
dataArray of objects(Data Attribute)
A list of data attributes
Response
{ "type": "list", "data": [ { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … } ] }